{% extends 'base.html' %}
{% load static %}
    {% block title %}<h1>Товары</h1>{% endblock %}
{% block content %}
    <div class="mt-3 owl-carousel category-carousel col-lg-8">
        <a class="card category-active category border-round">{{ activeCategory.name }}</a>
      {% for category in categories %}
          <a class="card category" href="{% url 'categoryDetail' category.id %}">{{ category.name }}</a>
      {% endfor %}
    </div>
    <div class="d-flex " >

    {% if request.user.type == 1 %}
            <div class="items-container col-lg-8">
        {% include 'item/itemBuyCards.html' %}
        </div>
            <div class="cart-container" >
        <h4>Корзина</h4>
        <div id="cart">

        </div>
        <div class="toPay d-flex justify-content-between">
            <p class="text">К оплате</p>
            <p class="count">5000</p>
        </div>
        <div class="d-flex mt-2">
            <div class="col-lg-6">
                <button type="button"
                        class="btn-pay btn"
                        onclick="pay()">Оплатить</button>
            </div>
            <div class="col-lg-6">
                <button type="button" class="btn btn-delete" onclick="setNoneCart()">Очистить</button>
            </div>
        </div>
    </div>
    {% else %}
        <div class="items-container col-lg-12">
        {% include 'item/itemDisplayCards.html' %}
        </div>
    {% endif %}
    </div>
{% endblock %}
{% block script %}
    <script>
$(document).ready(function(){
  $(".owl-carousel").owlCarousel({
      margin:10,
    loop:false,
    autoWidth:true,
    items:4
  });
});
        var cartArray = JSON.parse(localStorage.getItem('cart')) || {};
        renderItems()
        var totalPrice = 0;
        function addToCart(item){
            var item = item;
            if(cartArray[item.id]){
                var old_item = cartArray[item.id]
                old_item.count = old_item.count + 1
                cartArray[item.id] = old_item
            }
            else{
                var new_item = item
                new_item.count = 1;
                cartArray[item.id] = new_item;
            }
            console.log(cartArray)
            renderItems()
        }
        function minusToCart(id){
            var old_item = cartArray[id]
            if(old_item.count<=1){
                delete cartArray[id]
            }
            else{
                old_item.count =old_item.count-1;
                cartArray[id] = old_item;
            }
            console.log(cartArray)
            renderItems()
        }
        function deleteToCart(id){
            delete cartArray[id]
            renderItems()
        }
        function setNoneCart(){
            cartArray = {}
            renderItems()
        }
        function countTotalPrice(){
            totalPrice = 0
             for(var keys in cartArray){
                 console.log(cartArray[keys])
                 totalPrice = totalPrice + cartArray[keys].price * cartArray[keys].count
             }
        }
        function renderItems(){
            var cartDiv = $('#cart');
            cartDiv.empty();
            countTotalPrice()
            $('.count').html(totalPrice)
            localStorage.setItem('cart', JSON.stringify(cartArray))
            for(var keys in cartArray){
                cartDiv.append(" <div class=\"mt-4 d-flex justify-content-between align-items-center\">\n" +
                    "       <p class=\"cart-item-title col-lg-8\">     "+cartArray[keys].name+"\n" +
                    "   </p>         <div class=\"d-flex align-items-center\">\n" +
                    "            <span class=\" minus-button mr-2\" " +
                                "onclick=\"minusToCart("+keys+")\">-</span>\n" +
                    "            <span>"+cartArray[keys].count+"</span>\n" +
                    "            <span class=\"add-button ml-2 mr-3\"" +
                    "                   onclick=\"addToCart({id:"+keys+"})\">+</span>\n" +
                    "            <img onclick=\"deleteToCart("+keys+")\"src=\"{% static 'main/img/cancel.png' %}\" class=\"img-fluid delete-img\"/>\n" +
                    "                </div>\n" +
                    "        </div>")
            }
        }
        function pay(){
            var result = confirm("Подтверждаете свой выбор?");
            var items = []
            for(var keys in cartArray) {
                items.push({id: keys, count: cartArray[keys].count})
            }
            if (result == true) {
                $.ajax({
                    type: 'POST',
                    url: 'payment/',
                    data: JSON.stringify({user: "{{ user.UID }}", items: items})
                }, )
            } else {
                console.log('canceled')
                console.log('canceled')
            }

        }
    </script>
{% endblock %}
